---
lang: en
title: 'API docs: rest-crud.crudrestapibuilder.build'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestapibuilder.build.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestApiBuilder](./rest-crud.crudrestapibuilder.md) &gt; [build](./rest-crud.crudrestapibuilder.build.md)

## CrudRestApiBuilder.build() method

**Signature:**

```typescript
build(application: ApplicationWithRepositories, modelClass: typeof Model & {
        prototype: Model;
    }, cfg: ModelApiConfig): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

application


</td><td>

ApplicationWithRepositories


</td><td>


</td></tr>
<tr><td>

modelClass


</td><td>

typeof Model &amp; { prototype: Model; }


</td><td>


</td></tr>
<tr><td>

cfg


</td><td>

[ModelApiConfig](./model-api-builder.modelapiconfig.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;void&gt;


